FROM python:3.13-slim

WORKDIR /app

COPY requirements.txt .
RUN pip install --no-cache-dir --default-timeout=100 -r requirements.txt

COPY server.py .

# Ensure the recipes directory exists so permissions can be managed if mounted
RUN mkdir -p recipes/images

ENTRYPOINT ["python", "server.py"]
